# References

## Get a List of Country Options

> Retrieve a collection of country options based on the provided addressType.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/CountryOptions":{"get":{"tags":["References"],"summary":"Get a List of Country Options","description":"Retrieve a collection of country options based on the provided addressType.","parameters":[{"name":"addressType","in":"query","description":"Specifies the address type (for example, Home, Work, Billing, or Mailing) to return the corresponding country options. If not provided or set to null, the default collection of country options is returned.","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a list of country options successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.CountryOptionCollection"}}}},"400":{"description":"Bad request: If Address type is not proper enum values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.CountryOptionCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.CountryOption"},"description":"A collection of Company Option and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.CountryOption":{"type":"object","properties":{"countryCode":{"type":"integer","description":"The unique numeric code for the country.","format":"int32"},"countryName":{"type":"string","description":"The name of the country.","nullable":true},"isDisplayed":{"type":"boolean","description":"Indicates whether the country should be displayed in the UI or a specific context."},"iso2":{"type":"string","description":"The ISO 3166-1 alpha-2 code for the country.","nullable":true},"iso3":{"type":"string","description":"The ISO 3166-1 alpha-3 code for the country.","nullable":true},"stateOrProvinceIsRequired":{"type":"boolean","description":"Indicates whether the state or province is required for addresses in this country."}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of State Options

> Retrieve a list of state options specific to the United States from the database.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/StateOptions":{"get":{"tags":["References"],"summary":"Get a List of State Options","description":"Retrieve a list of state options specific to the United States from the database.","responses":{"200":{"description":"Returns a list of state types successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.StateOptionCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.StateOptionCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.StateOption"},"description":"A collection of State Option and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.StateOption":{"type":"object","properties":{"stateCode":{"type":"string","description":"The unique code for the state or province, typically represented as an abbreviation.","nullable":true},"stateName":{"type":"string","description":"The full name of the state or province.","nullable":true},"isDisplayed":{"type":"boolean","description":"Indicates whether the state or province should be displayed in the UI or a specific context."},"countryCode":{"type":"string","description":"The country code associated with this state or province, typically using ISO 3166-1 alpha-2 format.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of MCC Codes

> Retrieve a list of Merchant Category Codes (MCC) available in the database.> \\
>
> \
> Note: The response data is sourced directly from the database and is used to categorize merchants by business type.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/MccCodes":{"get":{"tags":["References"],"summary":"Get a List of MCC Codes","description":"Retrieve a list of Merchant Category Codes (MCC) available in the database.\r\n\r\nNote: The response data is sourced directly from the database and is used to categorize merchants by business type.","responses":{"200":{"description":"Returns a list of MCC codes successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.MerchantCategoryCodeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.MerchantCategoryCodeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.MerchantCategoryCode"},"description":"A collection of Merchant Category Code and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.MerchantCategoryCode":{"type":"object","properties":{"mccCode":{"type":"string","description":"The unique code representing a specific merchant category.","nullable":true},"mccGroupCode":{"type":"string","description":"The group code associated with the merchant category, used for classification purposes.","nullable":true},"mccDescription":{"type":"string","description":"A brief description of the merchant category represented by the MCC code.","nullable":true},"mccMostUsedRank":{"type":"string","description":"The rank indicating how frequently this merchant category code is used.","nullable":true},"mccIsSupported":{"type":"boolean","description":"Indicates whether the merchant category code is supported in the current system or application."},"isRestricted":{"type":"boolean","description":"Indicates whether the merchant category code is restricted to be seen from the retrieved list"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Company Types

> Retrieve a list of company types available in the database, filtered by the country code (default: US).> \\
>
> \
> Note: The structured response collection of company types can be used in onboarding workflows, UI dropdowns, or other scenarios requiring predefined company classifications.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/CompanyTypes":{"get":{"tags":["References"],"summary":"Get a List of Company Types","description":"Retrieve a list of company types available in the database, filtered by the country code (default: US).\r\n\r\nNote: The structured response collection of company types can be used in onboarding workflows, UI dropdowns, or other scenarios requiring predefined company classifications.","responses":{"200":{"description":"Returns a list of company types successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.CompanyTypeCodeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.CompanyTypeCodeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.CompanyTypeCode"},"description":"A collection of Company Type Code and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.CompanyTypeCode":{"type":"object","properties":{"id":{"type":"integer","description":"The unique identifier for the company type.","format":"int32"},"type":{"type":"string","description":"The name or type of the company, such as LLC, SP, or NP etc.","nullable":true},"legalIdentifiersRequired":{"type":"boolean","description":"Indicates whether legal identifiers (e.g., registration number, tax ID) are required for this company type."},"description":{"type":"string","description":"A brief description of the company type, explaining its characteristics or legal structure.","nullable":true},"countryCode":{"type":"string","description":"The country code associated with the company type, typically using the ISO 3166-1 alpha-2 format.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Compensation Types

> Retrieve a list of active compensation types available in the database.> \\
>
> \
> Note: Only active compensation types are returned in the response.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/CompensationTypes":{"get":{"tags":["References"],"summary":"Get a List of Compensation Types","description":"Retrieve a list of active compensation types available in the database.\r\n\r\nNote: Only active compensation types are returned in the response.","responses":{"200":{"description":"Returns a list of compensation types successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.CompensationTypeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.CompensationTypeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.CompensationType"},"description":"A collection of Compensation Type and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.CompensationType":{"type":"object","properties":{"id":{"type":"integer","description":"The unique identifier for the compensation type.","format":"int32"},"description":{"type":"string","description":"A brief description of the compensation type, such as Bonus, or All Residual.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Previous Processors

> Retrieve a list of previous processors (competitors) available in the database.> \\
>
> \
> Note: The response data can be used in workflows or systems that require competitor or previous processor information for further processing.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/PreviousProcessors":{"get":{"tags":["References"],"summary":"Get a List of Previous Processors","description":"Retrieve a list of previous processors (competitors) available in the database.\r\n\r\nNote: The response data can be used in workflows or systems that require competitor or previous processor information for further processing.","responses":{"200":{"description":"Returns a list of potential previous processors successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.PreviousProcessorCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.PreviousProcessorCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.PreviousProcessor"},"description":"A collection of previous processors, providing details about each processor used in the past.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.PreviousProcessor":{"type":"object","properties":{"id":{"type":"integer","description":"The unique identifier for the previous processor.","format":"int32"},"description":{"type":"string","description":"A brief description of the previous processor, such as Bangor Savings Bank, Blue Pay or Citi Merchant Services, etc.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Businesses Under User

> Retrieve a list of businesses under the user's hierarchy that can serve as parent businesses for a new application.> \\
>
> \
> Note: It requires authorization and appropriate access roles.&#x20;> \
> You can use the optional activeOnly filter to return only active businesses in the hierarchy.&#x20;> \
> The response data include both merchants and non-merchants (such as sales agents).

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/Parents":{"get":{"tags":["References"],"summary":"Get a List of Businesses Under User","description":"Retrieve a list of businesses under the user's hierarchy that can serve as parent businesses for a new application.\r\n\r\nNote: It requires authorization and appropriate access roles. \r\nYou can use the optional activeOnly filter to return only active businesses in the hierarchy. \r\nThe response data include both merchants and non-merchants (such as sales agents).","parameters":[{"name":"activeOnly","in":"query","description":"Specifies whether to return only active businesses.","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Returns a list of Business under the user that can be parents of the new application.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.BusinessSearchResultCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.BusinessSearchResultCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.BusinessSearchResult"},"description":"Object - Contains the business information within the hierarchy.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.BusinessSearchResult":{"type":"object","properties":{"hierarchyNodeKey":{"type":"string","description":"The unique identifier for the business in the hierarchy structure. Typically used to reference the business's position within a hierarchy.","nullable":true},"businessDBA":{"type":"string","description":"The Doing Business As (DBA) name of the business, representing the trade name under which the business operates.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Search Businesses Under User

> Search for the businesses within the user's hierarchy.> \\
>
> \
> Note: If a search term is provided, it retrieves matching businesses; otherwise, it fetches all available businesses.&#x20;> \
> The results can include both merchants and non-merchants (such as sales agents), depending on the includeSalesAgents parameter.&#x20;> \
> The search is limited to a maximum of 35,000 results per page and businesses are filtered based on the user's hierarchy node key.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/SearchParents":{"get":{"tags":["References"],"summary":"Search Businesses Under User","description":"Search for the businesses within the user's hierarchy.\r\n\r\nNote: If a search term is provided, it retrieves matching businesses; otherwise, it fetches all available businesses. \r\nThe results can include both merchants and non-merchants (such as sales agents), depending on the includeSalesAgents parameter. \r\nThe search is limited to a maximum of 35,000 results per page and businesses are filtered based on the user's hierarchy node key.","parameters":[{"name":"searchTerm","in":"query","description":"Specifies the value used to search for businesses","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a list of Businesses successfully based on the search term.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.BusinessSearchResultCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.BusinessSearchResultCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.BusinessSearchResult"},"description":"Object - Contains the business information within the hierarchy.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.BusinessSearchResult":{"type":"object","properties":{"hierarchyNodeKey":{"type":"string","description":"The unique identifier for the business in the hierarchy structure. Typically used to reference the business's position within a hierarchy.","nullable":true},"businessDBA":{"type":"string","description":"The Doing Business As (DBA) name of the business, representing the trade name under which the business operates.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Phone Type Codes

> Retrieve a list of phone type codes available in the database.> \\
>
> \
> Note: Response data makes easy for the user to view available phone types.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/PhoneTypes":{"get":{"tags":["References"],"summary":"Get a List of Phone Type Codes","description":"Retrieve a list of phone type codes available in the database.\r\n\r\nNote: Response data makes easy for the user to view available phone types.","responses":{"200":{"description":"Returns a list of Phone Type Codes successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.PhoneTypeCodeRefCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.PhoneTypeCodeRefCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.PhoneTypeCodeRef"},"description":"A collection of phone type codes and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.PhoneTypeCodeRef":{"type":"object","properties":{"phoneTypeCodeID":{"type":"integer","description":"The unique identifier for the phone type code.","format":"int32"},"phoneTypeCode":{"type":"string","description":"The code that represents the type of phone (e.g., C, H, W).","nullable":true},"phoneTypeDescription":{"type":"string","description":"A brief description of the phone type (e.g., Cell, Home, Work).","nullable":true},"displayOrder":{"type":"integer","description":"The display order of the phone type code in a list or UI.","format":"int32"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Contact Types

> Retrieve a list of contact types available in the system.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/ContactTypes":{"get":{"tags":["References"],"summary":"Get a List of Contact Types","description":"Retrieve a list of contact types available in the system.","responses":{"200":{"description":"Returns a list of Contact Types successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.ContactTypeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.ContactTypeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.ContactType"},"description":"A collection of contact types and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.ContactType":{"type":"object","properties":{"contactTypeID":{"type":"integer","description":"The unique identifier for the contact type.","format":"int32"},"contactTypeCode":{"type":"string","description":"The code that represents the type of contact.","nullable":true},"contactTypeDescription":{"type":"string","description":"A brief description of the contact type.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Merchant Acquisition Types

> Retrieve a list of merchant acquisition types available in the database.> \\
>
> \
> Note: Response values are used to categorize how a merchant was acquired, providing insight into acquisition methods and strategies within the system.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/MerchantAcquisitionTypes":{"get":{"tags":["References"],"summary":"Get a List of Merchant Acquisition Types","description":"Retrieve a list of merchant acquisition types available in the database.\r\n\r\nNote: Response values are used to categorize how a merchant was acquired, providing insight into acquisition methods and strategies within the system.","responses":{"200":{"description":"Retrieves the available Merchant Acquisition Types.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.MerchantAcquisitionTypeCodeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.MerchantAcquisitionTypeCodeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.MerchantAcquisitionTypeCode"},"description":"A collection of merchant acquisition type codes and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.MerchantAcquisitionTypeCode":{"type":"object","properties":{"merchantAcquisitionTypeID":{"type":"integer","description":"The unique identifier for the merchant acquisition type.","format":"int32"},"merchantAcquisitionType":{"type":"string","description":"A description or code that represents the type of merchant acquisition.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get list of Document Categories

> Retrieve a list of document categories available in the database.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/DocumentCategories":{"get":{"tags":["References"],"summary":"Get list of Document Categories","description":"Retrieve a list of document categories available in the database.","responses":{"200":{"description":"Retrieves available document categories.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.DocumentCategoryCodeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.DocumentCategoryCodeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.DocumentCategory"},"description":"A collection of Document category and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.DocumentCategory":{"type":"object","properties":{"documentCategoryID":{"type":"integer","description":"The unique identifier for the document category.","format":"int32"},"documentCategoryName":{"type":"string","description":"The name of the document category.","nullable":true},"documentCategoryDesc":{"type":"string","description":"A description of the document category providing more context about the category.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Signature Sections

> Retrieve a list of signature sections available in the database.> \\
>
> \
> Note: The response fields can be used to dynamically render or validate signature sections in the system.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/SignatureSections":{"get":{"tags":["References"],"summary":"Get a List of Signature Sections","description":"Retrieve a list of signature sections available in the database.\r\n\r\nNote: The response fields can be used to dynamically render or validate signature sections in the system.","responses":{"200":{"description":"Retrieves available signature sections","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SignatureSectionCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.SignatureSectionCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SignatureSection"},"description":"A collection of signature section and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.SignatureSection":{"type":"object","properties":{"signatureSectionTypeId":{"type":"integer","description":"The unique identifier for the signature section type.","format":"int32"},"signatureSectionTypeName":{"type":"string","description":"The name of the signature section type.","nullable":true},"signatureSectionTypeDescription":{"type":"string","description":"A description of the signature section, providing more context about its use or purpose.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a list of Signature Source Types

> Retrieve a list of signature source types available in the database.> \\
>
> \
> Note: The response data enables dynamic handling and validation of signature workflows.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/SignatureSourceTypes":{"get":{"tags":["References"],"summary":"Get a list of Signature Source Types","description":"Retrieve a list of signature source types available in the database.\r\n\r\nNote: The response data enables dynamic handling and validation of signature workflows.","responses":{"200":{"description":"Retrieves available Signature Source Types.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SignatureSourceTypeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.SignatureSourceTypeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SignatureSourceType"},"description":"A collection of Signature source type and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.SignatureSourceType":{"type":"object","properties":{"signatureSourceTypeId":{"type":"integer","description":"The unique identifier for the signature source type.","format":"int32"},"signatureSourceTypeName":{"type":"string","description":"The name of the signature source type.","nullable":true},"signatureSourceTypeDescription":{"type":"string","description":"A description of the signature source type, explaining its purpose or usage.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a list of Site Types

> Retrieve a list of site types available in the database.> \\
>
> \
> Note: Each site type includes a unique identifier and a description, which can be used for categorizing or filtering data in applications such as onboarding workflows or business logic implementations.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/SiteTypes":{"get":{"tags":["References"],"summary":"Get a list of Site Types","description":"Retrieve a list of site types available in the database.\r\n\r\nNote: Each site type includes a unique identifier and a description, which can be used for categorizing or filtering data in applications such as onboarding workflows or business logic implementations.","responses":{"200":{"description":"Retrieves available site types.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SiteTypeCollection"}}}},"401":{"description":"Unauthorized: User does not have the required role or access.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Internal Server Error: This could be due to system errors. Please contact support for assistance"}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.SiteTypeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SiteType"},"description":"A collection of State type and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.SiteType":{"type":"object","properties":{"siteTypeID":{"type":"integer","description":"The unique identifier for the site type.","format":"int32"},"siteTypeDescription":{"type":"string","description":"A description of the site type such as Tradeshow, Residence, etc.","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get a List of Future Delivery Types

> Retrieve a list of future delivery types available in the database.

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"paths":{"/api/demographics/v1/References/FutureDeliveryTypes":{"get":{"tags":["References"],"summary":"Get a List of Future Delivery Types","description":"Retrieve a list of future delivery types available in the database.","responses":{"200":{"description":"Retrieves available future delivery types.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SiteTypeCollection"}}}},"500":{"description":"Error occurred while retrieving future delivery types."}}}}},"components":{"schemas":{"MerchantDemographics.References.Api.Models.SiteTypeCollection":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDemographics.References.Api.Models.SiteType"},"description":"A collection of State type and their respective details.","nullable":true}},"additionalProperties":false},"MerchantDemographics.References.Api.Models.SiteType":{"type":"object","properties":{"siteTypeID":{"type":"integer","description":"The unique identifier for the site type.","format":"int32"},"siteTypeDescription":{"type":"string","description":"A description of the site type such as Tradeshow, Residence, etc.","nullable":true}},"additionalProperties":false}}}}
```
